# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::CatmullRomInterpolatorFVec2 Class Reference

Interpolates fvec2 values using a CatmullRomInterpolator. More...

`#include <CatmullRomInterpolator.hpp>`

Inheritance diagram for vl::CatmullRomInterpolatorFVec2:

List of all members.

## Public Member Functions

| CatmullRomInterpolatorFVec2 ()
| CatmullRomInterpolatorFVec2 (const std::vector< fvec2 > &path)
fvec2 | computePoint (float t) const
| Samples the interpolator at the given point.
CatmullRomInterpolatorFVec2_T * | interpolator ()
const CatmullRomInterpolatorFVec2_T * | interpolator () const
void | setInterpolator (CatmullRomInterpolatorFVec2_T *interpolator)

## Protected Attributes

ref < CatmullRomInterpolatorFVec2_T > | mInterpolator

## Detailed Description

Interpolates fvec2 values using a CatmullRomInterpolator.

Definition at line 182 of file CatmullRomInterpolator.hpp.

## Constructor & Destructor Documentation

vl::CatmullRomInterpolatorFVec2::CatmullRomInterpolatorFVec2 | ( | ) | `[inline]`

Definition at line 186 of file CatmullRomInterpolator.hpp.

vl::CatmullRomInterpolatorFVec2::CatmullRomInterpolatorFVec2 | ( | const std::vector< fvec2 > & | path ) | `[inline]`

Definition at line 187 of file CatmullRomInterpolator.hpp.

## Member Function Documentation

fvec2 vl::CatmullRomInterpolatorFVec2::computePoint | ( | float | t ) | const`[inline, virtual]`

Samples the interpolator at the given point.

Implements vl::InterpolatorFVec2.

Definition at line 188 of file CatmullRomInterpolator.hpp.

References vl::CatmullRomInterpolator< T >::computePoint(), and interpolator().

CatmullRomInterpolatorFVec2_T* vl::CatmullRomInterpolatorFVec2::interpolator | ( | ) | `[inline]`

Definition at line 189 of file CatmullRomInterpolator.hpp.

References vl::ref< T >::get(), and mInterpolator.

Referenced by computePoint(), and setInterpolator().

const CatmullRomInterpolatorFVec2_T* vl::CatmullRomInterpolatorFVec2::interpolator | ( | ) | const`[inline]`

Definition at line 190 of file CatmullRomInterpolator.hpp.

References vl::ref< T >::get(), and mInterpolator.

void vl::CatmullRomInterpolatorFVec2::setInterpolator | ( | CatmullRomInterpolatorFVec2_T * | interpolator ) | `[inline]`

Definition at line 191 of file CatmullRomInterpolator.hpp.

References interpolator(), and mInterpolator.

## Member Data Documentation

ref<CatmullRomInterpolatorFVec2_T> vl::CatmullRomInterpolatorFVec2::mInterpolator`[protected]`

Definition at line 193 of file CatmullRomInterpolator.hpp.

Referenced by interpolator(), and setInterpolator().

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/CatmullRomInterpolator.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:04.
Permission is granted to use this page to write and publish articles regarding Visualization Library.